Webhooks
Entregas esgotadas aguardando reenvio manual
Lista as entregas em dead-letter do endpoint — aquelas cujas tentativas automáticas se esgotaram e aguardam reenvio manual. Paginação por cursor.
GET
/
webhook-endpoints
/
{endpointId}
/
dead-letter
Entregas esgotadas aguardando reenvio manual
curl --request GET \
--url https://api.userepass.com/webhook-endpoints/{endpointId}/dead-letter \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userepass.com/webhook-endpoints/{endpointId}/dead-letter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userepass.com/webhook-endpoints/{endpointId}/dead-letter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "whdl_01J9Z3K8N2QF4T7B9XP0WMD5RC",
"endpointId": "whep_01J9Z3K8N2QF4T7B9XP0WMD5RC",
"eventId": "evt_01J9Z3K8N2QF4T7B9XP0WMD5RC",
"eventType": "conversion.created",
"status": "succeeded",
"attemptCount": 1,
"nextAttemptAt": "2026-06-13T12:05:00.000Z",
"request": {
"url": "https://exemplo.com/webhooks/repass",
"body": "{\"type\":\"conversion.created\",\"data\":{}}"
},
"response": {
"statusCode": 200,
"body": "OK",
"error": "request timed out after 10000ms"
},
"latencyMs": 142,
"deliveredAt": "2026-06-13T12:00:01.000Z",
"replayOfId": "whdl_01J9Z3K8N2QF4T7B9XP0WMD5RC",
"createdAt": "2026-06-13T12:00:00.000Z"
}
],
"hasMore": true,
"nextCursor": "<string>",
"previousCursor": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Chave de API (prefixo rstr_) enviada como Authorization: Bearer rstr_....
Path Parameters
Pattern:
^whep_[0-9A-HJKMNP-TV-Z]{26}$Query Parameters
Required range:
1 <= x <= 100Pattern:
^whdl_[0-9A-HJKMNP-TV-Z]{26}$⌘I
Entregas esgotadas aguardando reenvio manual
